> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/proxy.md).

# Proxy

Firstoken Proxy is a rest API that allows you to create HTTP requests containing sensitive tokenized data and send it from your systems securely without needing to access raw token data. The third-party application may include token identifiers, as "{{ | extract | encrypt }}", within the request and send this request through Firstoken systems to replace the token data in the request before forwarding it to the desired destination.

Proxy API uses JSON-encoded requests and responses and uses standard authentication, like the other FirsToken APIs.

In other words, our Proxy is a simple way to simplify the secure transfer of sensitive data via HTTP API calls.

{% hint style="success" %}
**Note:** All Proxies must be called from the base URL [https://api.firstoken.co/](https://api.firstoken.co/proxy)
{% endhint %}

{% hint style="info" %}
**Note:** In case, you have to make some sandbox tests you must be called from the base URL [https://api.firstoken-staging.co/proxy](https://api.firstoken.dev/proxy)
{% endhint %}

When making a request through the Proxy, it will attempt to detokenize any expressions present in the request, containing the token with the filters sent, and then inject the raw token data corresponding to each filter, into the request body before to be sent to the subsequent destination.

This allows to resolve the case where tokenized information needs to be sent to a third party and the third party receives the raw information securely while keeping your systems out of compliance scope.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/proxy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
